operationId: createCustomer
summary: Create customer
tags:
  -  customers
parameters:
  - $ref: ../../components/header-parameters/tenant-subdomain.yml
requestBody:
  content:
    application/json:
      schema:
        allOf:
          - $ref: ../../components/schemas/entities/customer/properties.yml
          - properties:
              user:
                allOf:
                  - $ref: ../../components/schemas/entities/user/properties.yml
                  - $ref: ../../components/schemas/entities/user/required_properties.yml
        required:
          - user
responses:
  201:
    description: Success
    content:
      application/json:
        schema:
          allOf:
            - $ref: ../../components/schemas/entities/customer/properties.yml
            - $ref: ../../components/schemas/entities/customer/relations.yml
  400:
    $ref: ../../components/responses/400-bad-request.yml
